OreCrusherPriceEventFrame = CreateFrame("Frame")
OreCrusherPriceEventFrame:SetScript("OnEvent", function(this, event, ...)
  OreCrusherPriceEvents[event](...)
end)
OreCrusherPriceEventFrame:RegisterEvent("ADDON_LOADED")
OreCrusherPriceEvents = {};

function OreCrusherPriceEvents.ADDON_LOADED(addon)
	if addon ~= "OreCrusher" then return end
	-- Default saved variables
	if not OreCrusherPriceDB.Price52195 then OreCrusherPriceDB.Price52195 = 0 end
	if not OreCrusherPriceDB.Price52194 then OreCrusherPriceDB.Price52194 = 0 end
	if not OreCrusherPriceDB.Price52192 then OreCrusherPriceDB.Price52192 = 0 end
	if not OreCrusherPriceDB.Price52193 then OreCrusherPriceDB.Price52193 = 0 end
	if not OreCrusherPriceDB.Price52190 then OreCrusherPriceDB.Price52190 = 0 end
	if not OreCrusherPriceDB.Price52191 then OreCrusherPriceDB.Price52191 = 0 end
	if not OreCrusherPriceDB.Price52179 then OreCrusherPriceDB.Price52179 = 0 end
	if not OreCrusherPriceDB.Price52177 then OreCrusherPriceDB.Price52177 = 0 end
	if not OreCrusherPriceDB.Price52181 then OreCrusherPriceDB.Price52181 = 0 end
	if not OreCrusherPriceDB.Price52182 then OreCrusherPriceDB.Price52182 = 0 end
	if not OreCrusherPriceDB.Price52180 then OreCrusherPriceDB.Price52180 = 0 end
	if not OreCrusherPriceDB.Price52178 then OreCrusherPriceDB.Price52178 = 0 end
	if not OreCrusherPriceDB.Price52327 then OreCrusherPriceDB.Price52327 = 0 end
	if not OreCrusherPriceDB.Price52555 then OreCrusherPriceDB.Price52555 = 0 end
	if not OreCrusherPriceDB.Price52719 then OreCrusherPriceDB.Price52719 = 0 end
	if not OreCrusherPriceDB.Price52303 then OreCrusherPriceDB.Price52303 = 0 end
	if not OreCrusherPriceDB.Price52988 then OreCrusherPriceDB.Price52988 = 0 end
	if not OreCrusherPriceDB.Price52986 then OreCrusherPriceDB.Price52986 = 0 end
	if not OreCrusherPriceDB.Price52983 then OreCrusherPriceDB.Price52983 = 0 end
	if not OreCrusherPriceDB.Price52984 then OreCrusherPriceDB.Price52984 = 0 end
	if not OreCrusherPriceDB.Price52987 then OreCrusherPriceDB.Price52987 = 0 end
	if not OreCrusherPriceDB.Price52985 then OreCrusherPriceDB.Price52985 = 0 end
	OreCrusherEventFrame:UnregisterEvent("ADDON_LOADED")
end
  
function OreCrusher_PriceCheck()
	amberjewel = OreCrusher_AucLowBuy(52195);
	demonseye = OreCrusher_AucLowBuy(52194);
	dreamemerald = OreCrusher_AucLowBuy(52192);
	embertopaz = OreCrusher_AucLowBuy(52193);
	infernoruby = OreCrusher_AucLowBuy(52190);
	oceansapphire = OreCrusher_AucLowBuy(52191);
	alicite = OreCrusher_AucLowBuy(52179);
	carnelian = OreCrusher_AucLowBuy(52177);
	hessonite = OreCrusher_AucLowBuy(52181);
	jasper = OreCrusher_AucLowBuy(52182);
	nightstone = OreCrusher_AucLowBuy(52180);
	zephyrite = OreCrusher_AucLowBuy(52178);
	volearth = OreCrusher_AucLowBuy(52327);
	hypnoticdust = OreCrusher_AucLowBuy(52555);
	greaterceles = OreCrusher_AucLowBuy(52719);
	shadowspirit = OreCrusher_AucLowBuy(52303);
	whiptail = OreCrusher_AucLowBuy(52988);
	heartblossom = OreCrusher_AucLowBuy(52986);
	cinderbloom = OreCrusher_AucLowBuy(52983);
	stormvine = OreCrusher_AucLowBuy(52984);
	twilightjasmine = OreCrusher_AucLowBuy(52987);
	azsharasveil = OreCrusher_AucLowBuy(52985);
end
  
function OreCrusher_AucLowBuy(itemId)
	local lowBuy
	local itemName = select(1, GetItemInfo(itemId)) or "UNKNOWN ITEM"
	
	if OreCrusherDB.PriceDB == "Auctioneer" and AucAdvanced then
		lowBuy = select(6, AucAdvanced.Modules.Util.SimpleAuction.Private.GetItems(itemId));
	elseif OreCrusherDB.PriceDB == "TradeSkillMaster" and TSMAPI then
		lowBuy = select(5, TSMAPI:GetData("market", itemId));
	elseif OreCrusherDB.PriceDB == "Auctionator" or OreCrusherDB.PriceDB == "AuctionLite" or OreCrusherDB.PriceDB == "AuctionaMaster" and GetAuctionBuyout then
		lowBuy = GetAuctionBuyout(itemId);
	elseif OreCrusherDB.PriceDB == "OreCrusherPriceDB" then
		lowBuy = OreCrusherPriceDB["Price"..itemId] or 0;
	else
		print("OreCrusher: Could not find your selected AddOn.  Please reselect an enabled Price DB AddOn.");
		lowBuy = 0
	end
	
	if lowBuy == nil then
		lowBuy = OreCrusherPriceDB["Price"..itemId]
		
		if itemName == "UNKNOWN ITEM" then
			print("OreCrusher: There was an error getting an item's name.  This isn't fatal, just annoying.  Wait a few seconds, and try again.");
		else
			print("OreCrusher: Could not get price for item " .. itemName .. ".  Using last known price of |ccfffffff" .. OC_GS(lowBuy, 1) .. "|cffffd700g|r" .. OC_GS(lowBuy, 2) .. "|cffc0c0c0s");
		end
	else
		OreCrusherPriceDB["Price"..itemId] = lowBuy
	end
		
	return lowBuy
end